Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 547605 - dnsmasq init.d script kills wrong dnsmasq processes
dnsmasq init.d script kills wrong dnsmasq processes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnsmasq (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-15 00:17 EST by James Ralston
Modified: 2010-02-16 08:22 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.52-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-16 08:15:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix dnsmasq init.d script to not kill wrong dnsmasq processes (823 bytes, patch)
2009-12-15 00:17 EST, James Ralston
no flags Details | Diff
make sure init.d script condrestart() identifies correct dnsmasq process (309 bytes, patch)
2010-01-13 16:18 EST, James Ralston
no flags Details | Diff

  None (edit)
Description James Ralston 2009-12-15 00:17:54 EST
Created attachment 378428 [details]
fix dnsmasq init.d script to not kill wrong dnsmasq processes

If libvirt is installed, it runs a separate dnsmasq process:

/usr/sbin/dnsmasq --strict-order --bind-interfaces --pid-file=/var/run/libvirt/network/default.pid --conf-file= --listen-address ... --except-interface lo --dhcp-range ...,...

The dnsmasq init.d script does not use the proper init.d functions that are constrained to consider only dnsmasq processes specified in the pid file. As a result, a "service dnsmasq stop" will kill libvirt's dnsmasq process.

The attached patch corrects the init.d script behavior. Please apply.

Version:

0:dnsmasq-2.51-1.fc12.x86_64
Comment 1 James Ralston 2009-12-15 00:25:11 EST
Ok, I see now that this was partially fixed in Rawhide (bug 512664), but not completely.

I'll rework this patch against Rawhide's dnsmasq.
Comment 2 Itamar Reis Peixoto 2009-12-15 00:31:51 EST
(In reply to comment #1)

ok, thanks.
Comment 3 Nils Philippsen 2010-01-12 06:41:41 EST
Ping? If you don't have the time, I can rework the above patch against Rawhide and build updated packages, just give me a shout.
Comment 4 Itamar Reis Peixoto 2010-01-12 09:42:26 EST
(In reply to comment #3)
go ahead.
Comment 5 James Ralston 2010-01-13 16:18:44 EST
Created attachment 383561 [details]
make sure init.d script condrestart() identifies correct dnsmasq process

Here's a reworked patch for the init.d script against current Rawhide.
Comment 6 Itamar Reis Peixoto 2010-01-26 11:41:02 EST
fixed here.

http://koji.fedoraproject.org/koji/buildinfo?buildID=153129

should I push an update for F-12 and F-11 ?
Comment 7 Fedora Update System 2010-01-26 12:33:45 EST
dnsmasq-2.52-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dnsmasq-2.52-1.fc12
Comment 8 Nils Philippsen 2010-01-26 13:01:45 EST
> should I push an update for F-12 and F-11 ?    

That'd be great.
Comment 9 Fedora Update System 2010-01-26 13:58:27 EST
dnsmasq-2.52-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dnsmasq-2.52-1.fc11
Comment 10 Fedora Update System 2010-01-27 19:57:29 EST
dnsmasq-2.52-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dnsmasq'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1152
Comment 11 Fedora Update System 2010-01-27 19:59:34 EST
dnsmasq-2.52-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dnsmasq'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1160
Comment 12 Fedora Update System 2010-02-16 08:15:45 EST
dnsmasq-2.52-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-02-16 08:22:07 EST
dnsmasq-2.52-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.